Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config.providers
Class XmlHelper

    java.lang.Object
      com.opensymphony.xwork2.config.providers.XmlHelper

    public class XmlHelper

extends java.lang.Object

XML utilities.

Author:
  Mike

Constructor Summary
`XmlHelper()`

Method Summary
`static java.lang.String` | `getContent(org.w3c.dom.Element element)` This method will return the content of this particular `element`.
`static java.lang.Integer` | `getLoadOrder(org.w3c.dom.Document doc)` Return the value of the "order" attribute from the root element
`static java.util.Map<java.lang.String,java.lang.String>` | `getParams(org.w3c.dom.Element paramsElement)` This method will find all the parameters under this `paramsElement` and return them as Map.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlHelper

    public XmlHelper()

Method Detail

### getParams

    public static java.util.Map<java.lang.String,java.lang.String> getParams(org.w3c.dom.Element paramsElement)

  This method will find all the parameters under this `paramsElement` and return them as Map. For example,

            value1
            value2
            value3

  will returns a Map with the following key, value pairs :-
  - param1 - value1
  - param2 - value2
  - param3 - value3

  Parameters:
    `paramsElement` -
  Returns:

### getContent

    public static java.lang.String getContent(org.w3c.dom.Element element)

  This method will return the content of this particular `element`. For example,

          something_1

  When the `Element` `<result>` is passed in as argument (`element` to this method, it returns the content of it, namely, `something_1` in the example above.

  Returns:

### getLoadOrder

    public static java.lang.Integer getLoadOrder(org.w3c.dom.Document doc)

  Return the value of the "order" attribute from the root element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.